# NewsTypeData Struct Reference

Per-NewsType data. More...

`#include <news_type.h>`

## Public Member Functions
| NewsTypeData (const char *name, byte age, SoundFx sound, StringID description)
## Data Fields
const char *const | name
| Name.
const byte | age
| Maximum age of news items (in days).
const SoundFx | sound
| Sound.
NewsDisplay | display
| Display mode (off, summary, full).
const StringID | description
| Description of the news type in news settings window.

## Detailed Description

Per-NewsType data.

Definition at line 115 of file news_type.h.

The documentation for this struct was generated from the following file:

- src/news_type.h